.partners-page .wrapper {
    overflow: visible;
}

.partners-page .select__arrow {
    left: unset;
    right: 20px;
}

.partners-page .select__title {
    padding: 18px 20px;
}

.partners-page .select__title {
    border: 1px solid var(--lightest-grey2);
}

.partners-page .select__search {
    top: 58px;
}

.map__interactive {
    height: 739px;
    width: 1257px;
    background-size: 100% 100%;
    background-position: center center;
    background-repeat: no-repeat;
    position: relative;
    z-index: 2;
    margin-bottom: 40px;
}

.map__interactive-parent {
    position: absolute;
    cursor: pointer;
}

.map__interactive-popup {
    background: var(--white);
    border: 1px solid #bababa;
    width: 661px;
    padding: 27px;
    display: none;
    bottom: 25px;
    z-index: 1;
    position: absolute;
    cursor: default;
}

.map__interactive-marker {
    width: 12px;
    height: 12px;
    background: transparent;
    border-radius: 100%;
    position: relative;
    display: flex;
    align-items: center;
    white-space: nowrap;
    z-index: -1;
    cursor: pointer;
}

.map__interactive-marker span {
    font-weight: 500;
    font-size: 11px;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    transition: all ease 0.3s;
    border-bottom: 1px solid transparent;
}

.map__interactive-marker-right span {
    margin-left: 13px;
}

.map__interactive-marker::after {
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 100%;
    position: absolute;
    background: var(--main-yellow);
    border: 1px solid var(--orange);
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-transition: all ease 0.3s;
    transition: all ease 0.3s;
}

.map__interactive-popup-single {
    width: 310px !important;
}

.map__interactive-popup_left {
    right: 0;
}

.map__interactive-block:hover .map__interactive-marker span {
    font-weight: 700;
    font-size: 12px;
}

.map__interactive-block.active .map__interactive-popup {
    display: block;
}

.map__interactive-popup-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

.map-popup__title {
    font-size: 14px;
}

.map__interactive-popup-close {
    position: absolute;
    top: 10px;
    right: 10px;
    width: 0.8em;
    height: 0.8em;
    cursor: pointer;
}

.map__interactive-popup-close::before,
.map__interactive-popup-close::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 2px;
    background-color: var(--black);
}

.map__interactive-popup-close::before {
    transform: rotate(45deg);
}

.map__interactive-popup-close::after {
    transform: rotate(-45deg);
}

.map__filter-tab {
    display: flex;
    align-items: center;
    gap: 15px;
    flex-shrink: 0;
}

.map__filter-tab li {
    font-weight: 700;
    border: 1px solid var(--dark-grey);
    cursor: pointer;
    padding: 19px 35px;
}

.map__filter-tab li.active {
    color: var(--white);
    background-color: var(--dark-grey);
}

.map__filter {
    display: flex;
    align-items: center;
    gap: 50px;
    margin-bottom: 70px;
}

.map__filter-select {
    width: 100%;
}

.map__addr-block {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 100px;
}

.map__block-title {
    font-weight: 700;
    font-size: 24px;
    margin-bottom: 50px;
}

.map-list__item:not(:last-child) {
    border-bottom: 1px solid var(--lightest-grey2);
    padding-bottom: 25px;
    margin-bottom: 25px;
}

.map__box {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.map__item {
    display: flex;
    flex-direction: column;
    gap: 20px;
    font-weight: 400;
    font-size: 18px;
}

.map__accent-title {
    font-weight: 700;
}

.map__addr-text {
    display: flex;
    gap: 10px;
}

.map__addr-text svg {
    flex-shrink: 0;
    margin-top: 2px;
}

.map__addr-text_tel {
    flex-direction: column;
}

.map__addr-tel {
    display: flex;
    gap: 10px;
}

.map-popup {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.map-popup__item {
    font-weight: 400;
    font-size: 12px;
}

.map-popup__item span {
    font-weight: 600;
}

@media (max-width: 1200px) {
    .map__interactive {
        width: 1030px;
        height: 610px;
        margin: 0 auto;
        margin-bottom: 40px;
    }
}

@media (max-width: 990px) {
    .map__interactive {
        display: none;
    }
}

@media (max-width: 768px) {
    .map__filter {
        flex-direction: column;
        align-items: flex-start;
    }

    .map__addr-block {
        gap: 40px;
    }

    #become-partner {
        scroll-margin-top: 100px;
    }
}

@media (max-width: 600px) {
    .map__filter-tab {
        flex-direction: column;
        align-items: unset;
        width: 100%;
    }

    .map__list-item {
        border: 1px solid var(--lightest-grey2);
        padding: 30px 15px;
    }

    .map-list__item:not(:last-child) {
        padding-bottom: 30px;
        margin-bottom: 30px;
    }
}

/* Partners form */

.partner-form__box {
    background: var(--main-yellow);
    padding: 70px 50px;
}

.partner-form .form__wrapper {
    display: flex;
    justify-content: space-between;
    gap: 66px;
    padding: 0;
}

.partner-form__header {
    display: flex;
    flex-direction: column;
    gap: 100px;
}

.partner-form__title {
    font-size: 50px;
    margin-bottom: 0;
}

.partner-form__img-wrap {
    max-width: 576px;
}

.partner-form__item {
    max-width: unset;
}

.partner-form__items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(5, 1fr);
    gap: 15px;
}

.partner-form__item:first-child {
    grid-area: 1 / 1 / 2 / 5;
}

.partner-form__item:nth-child(2) {
    grid-area: 2 / 1 / 3 / 3;
}

.partner-form__item:nth-child(3) {
    grid-area: 2 / 3 / 3 / 5;
}

.partner-form__item:nth-child(4) {
    grid-area: 3 / 1 / 4 / 5;
}

.partner-form__item:nth-child(5) {
    grid-area: 4 / 1 / 6 / 5;
}

.partner-form .form__input {
    border: 1px solid var(--grey3);
    background-color: transparent;
}

.partner-form__textarea {
    height: 100%;
    min-height: 150px;
    resize: none;
    vertical-align: top;
    font-family: var(--font-family), Arial, Helvetica, sans-serif;
    font-weight: 400;
    font-size: 14px;
    color: var(--grey3);
    background-color: transparent;
    border: 1px solid var(--grey3);
    outline: none;
    padding: 20px;
    box-sizing: border-box;
}

.partner-form__textarea::placeholder {
    color: var(--grey3);
}

.partner-form .form__footer-text {
    font-size: 14px;
    color: var(--grey);
}

.partner-form .form__footer-checkbox {
    border: 1px solid var(--grey);
}

.partner-form .form__footer-checkbox-icon:before {
    content: url(../img/icons/check-black.png);
}

.partner-form .form__more {
    margin-bottom: 30px;
}

.form__item_button {
    margin-bottom: 10px;
}

@media (max-width: 1024px) {
    .partner-form .form__wrapper {
        flex-direction: column;
    }

    .partner-form__img-wrap {
        display: none;
    }
}

@media (max-width: 860px) {
    .partner-form__title {
        font-size: 34px;
    }
}

@media (max-width: 768px) {
    .form__wrapper {
        padding: 30px;
    }

    .partner-form__box {
        padding: 30px 15px;
    }

    .partner-form__title {
        font-size: 26px;
    }
}

@media (max-width: 600px) {
    .partner-form .wrapper {
        padding: 0;
    }

    .map__addr-block {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 425px) {
    .partner-form__items {
        display: flex;
        flex-direction: column;
    }

    .map__accent-title,
    .map__item {
        font-size: 16px;
    }

    .map__block-title {
        margin-bottom: 20px;
    }
}

/* Content */

.description p {
    font-size: 20px;
}

@media (max-width: 1024px) {
    .description p {
        font-size: 18px;
    }
}

@media (max-width: 425px) {
    .description p {
        font-size: 16px;
    }
}
